AutoLisp, el lenguaje de programación para AutoCAD

¿Que es AutoLisp?

AutoLisp es un lenguaje de programación que se utiliza en el software de diseño asistido por computadora (CAD) AutoCAD. Es un lenguaje de programación específico del dominio que se utiliza para crear programas y rutinas personalizados que se pueden ejecutar dentro de AutoCAD.

¿Dónde puedo descargar AutoLisp?

AutoLisp está disponible en forma gratuita para uso personal y profesional, si quieres probar este lenguaje, puedes descargar AutoCAD gratis en todoacad.com.

¿Que puedo hacer con AutoLisp?

Con AutoLisp, puedes crear programas y rutinas personalizados que se pueden ejecutar dentro de AutoCAD. Esto permite a los usuarios automatizar tareas repetitivas y crear herramientas personalizadas para mejorar la eficiencia y productividad en el diseño de dibujos en AutoCAD. Por ejemplo, puedes usar AutoLisp para crear comandos personalizados que te permitan dibujar de manera más rápida y precisa, o para desarrollar herramientas que te ayuden a realizar cálculos complejos en tus dibujos.

Además, puedes utilizar AutoLisp para interactuar con otros programas y sistemas, lo que te permite integrar AutoCAD con otras herramientas y aplicaciones en tu flujo de trabajo.

En resumen, con AutoLisp puedes hacer muchas cosas para mejorar y automatizar el proceso de diseño en AutoCAD.

¿Necesitas algún ejemplo para que veas el potencial de AutoLisp?

Te muestro un ejemplo de un programa sencillo escrito en AutoLisp que dibuja un círculo en el lugar especificado por el usuario:

Este programa comienza con la función (defun c:circle () …), que define un nuevo comando de AutoCAD llamado “circle”. Cuando se ejecuta este comando, se pide al usuario que indique el centro y el radio del círculo que quiere dibujar. Luego, se utiliza el comando incorporado de AutoCAD “circle” para dibujar el círculo en la posición y tamaño especificados. Finalmente, se utiliza la función (princ) para mostrar el resultado en la consola de AutoCAD.

(defun c:circle ()
  (setq center (getpoint "Indique el centro del círculo: "))
  (setq radius (getdist "Indique el radio del círculo: "))
  (command "circle" center radius)
  (princ)
)

Te muestro otro ejemplo para que veas el potencial de AutoLisp, en el que puedes calcular el área de un polígono regular dado su número de lados y su longitud:

Este programa comienza con la función (defun c:polygonarea () ...), que define un nuevo comando de AutoCAD llamado “polygonarea”. Cuando se ejecuta este comando, se pide al usuario que indique el número de lados y la longitud de los lados del polígono. Luego, se utilizan algunas operaciones matemáticas básicas para calcular el área del polígono utilizando la fórmula correspondiente. Finalmente, se utiliza la función (princ) para mostrar el resultado en la consola de AutoCAD.

(defun c:polygonarea ()
  (setq n (getint "Indique el número de lados del polígono: "))
  (setq s (getdist "Indique la longitud de los lados del polígono: "))
  (setq apothem (/ s (* 2 (tan (/ pi n)))))
  (setq area (* n (* apothem apothem) (/ (sin pi n) n)))
  (princ "El área del polígono es: ")
  (princ area)
  (princ)
)

Pruébalo y veras que utilidad le sacas a AutoLisp.